/**
 * 工具类
 * AES加密
 * crypto-js
 * 两个方法中
 * 第一个参数word是待加密或者解密的字符串，
 * 第二个参数keyStr是 AES 加密需要用到的16位字符串的key。
 * 如果想对一个js对象加密，需要先把该对象转成json字符串。
 */
import CryptoJS from "crypto-js";
export default {
  encrypt(word, keyStr) {
    // 加密
    keyStr = keyStr ? keyStr : "TFEUyxO9PDJlyyg7";
    var key = CryptoJS.enc.Utf8.parse(keyStr);
    var srcs = CryptoJS.enc.Utf8.parse(word);
    var encrypted = CryptoJS.AES.encrypt(srcs, key, {
      mode: CryptoJS.mode.ECB,
      padding: CryptoJS.pad.Pkcs7
    });
    return encrypted.toString();
  },
  decrypt(word, keyStr) {
    // 解密
    keyStr = keyStr ? keyStr : "TFEUyxO9PDJlyyg7";
    var key = CryptoJS.enc.Utf8.parse(keyStr);
    var decrypt = CryptoJS.AES.decrypt(word, key, {
      mode: CryptoJS.mode.ECB,
      padding: CryptoJS.pad.Pkcs7
    });
    return CryptoJS.enc.Utf8.stringify(decrypt).toString();
  }
};
